# Type alias DebugLogger

DebugLogger: ((type, debugName, eventName?, eventData?) => void)

#### Type declaration

- - (type, debugName, eventName?, eventData?): void

  - Emittery can collect and log debug information.

    To enable this feature set the `DEBUG` environment variable to `emittery` or `*`. Additionally, you can set the static `isDebugEnabled` variable to true on the Emittery class, or `myEmitter.debug.enabled` on an instance of it for debugging a single instance.

    See API for more information on how debugging works.

    #### Parameters

    - ##### type: string

    - ##### debugName: string

    - ##### `Optional` eventName: EventName

    - ##### `Optional` eventData: EventArgs

    #### Returns void

- Defined in modules/packages/module/packages/events/dist/types/Events/Events.d.ts:10

Generated using TypeDoc